.tox .tox-anchorbar {
    border: 1px solid var(--gray-200) !important;
    background: transparent;
}

.tox:not(.tox-tinymce-inline) .tox-editor-header {
    border-bottom: transparent !important;
}

.rich-text-wrapper:not(:has(.tox-tinymce)),
.fi-in-text-item:not(:has(.tox-tinymce)) {
    padding: 10px 16px;
}

.rich-text-wrapper, .fi-in-text-item {
    line-height: var(--text-base--line-height);
    font-size: var(--text-sm);
    color: inherit;

    & h1 {
        font-size: var(--text-3xl) !important;
        font-weight: var(--font-weight-extrabold) !important;
        margin-bottom: calc(var(--spacing) * 6) !important;
        line-height: var(--text-3xl--line-height) !important;
    }
    & h2 {
        font-size: var(--text-2xl) !important;
        font-weight: var(--font-weight-bold) !important;
        margin-top: calc(var(--spacing) * 8) !important;
        margin-bottom: calc(var(--spacing) * 4) !important;
    }
    & h3 {
        font-size: var(--text-xl) !important;
        font-weight: var(--font-weight-semibold) !important;
    }

    & a {
        color: var(--prose-link-color);
        font-weight: 600;
        text-decoration: underline;
        text-underline-offset: 3px;
        text-decoration-color: var(--color-sky-400);
        text-decoration-thickness: 1px;
    }

    & blockquote {
        margin-top: 8px;
        padding-left: calc(var(--spacing) * 4);
        font-style: italic;
        color: var(--color-gray-400);
        border-left: 2px solid #6d737b;
        margin-left: 0.7rem;
    }

    & p {
        margin-bottom: calc(var(--spacing) * 5) !important;
    }

    & ul {
        list-style-type: disc !important;
        padding-left: calc(var(--spacing) * 6) !important;
        margin-bottom: calc(var(--spacing) * 5) !important;
    }
    & ol {
        list-style-type: decimal !important;
        padding-left: calc(var(--spacing) * 6) !important;
    }

    & table {
        width: 100% !important;
        border-collapse: collapse !important;
        margin-block: calc(var(--spacing) * 6) !important;
        border: 1px solid var(--gray-200);
    }
    & th, & td {
        border: 1px solid var(--gray-200);
        padding: calc(var(--spacing) * 3) !important;
    }

    & hr {
        border: 0;
        border-top: 1px solid var(--prose-hr-color, var(--gray-200));
        margin-block: calc(var(--spacing) * 10) !important;
    }
}
